const app = getApp()
import { examine_status } from '../../utils/dict';
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '组队信息审核', leftArrow: true, useBar: false },
        //查询条件
        searchInfo: {},
        list: [],
        dialog: { title: '详细信息', show: false, type: '1' },
        info: {},
        statusList: examine_status
    },
    // 跳转菜单
    back(e) {
        wx.navigateBack({ delta: 1 })
    },
    search: function (e) {
        const that = this;
        that.setData({ 'searchInfo.teammate_name': e.detail.value });
        that.watchLogin()
    },
    // 查看
    toView: async function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        const arr = await app.$get(`/newCourt/api/teamApply/${item._id}`);
        if (arr.errcode == '0') {
            // 赛事信息
            const match = await app.$get(`/newCourt/api/match/${item.match_id}`);
            if (match.errcode == '0') {
                arr.data.match_name = match.data.name;
                // 赛事组别
                const group = match.data.grouping.find((i) => i._id == item.grouping_id);
                if (group) { arr.data.grouping_name = group.name }
            };
            // 组内项目
            const project = await app.$get(`/newCourt/api/matchProject/${item.project_id}`)
            if (project.errcode == '0') { arr.data.project_name = project.data.name; }
            that.setData({ info: arr.data })
            that.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
        }
    },
    // 审核
    toCheck: async function (e) {
        const that = this;
        let { item } = e.currentTarget.dataset;
        const arr = await app.$get(`/newCourt/api/teamApply/${item._id}`);
        if (arr.errcode == '0') {
            that.setData({ info: arr.data })
            that.setData({ dialog: { title: '信息审核', show: true, type: '2' } })
        }
    },
    // 选择状态
    statusChange: function (e) {
        const that = this;
        let data = that.data.statusList[e.detail.value];
        if (data) { that.setData({ 'info.status': data.value }) }
    },
    onSubmit: async function (e) {
        const that = this;
        const params = e.detail.value;
        const info = that.data.info;
        const arr = await app.$post(`/newCourt/api/teamApply/${info._id}`, params);
        if (arr.errcode == '0') {
            wx.showToast({ title: `审核信息成功`, icon: 'success', duration: 2000 });
            that.watchLogin();
            that.toClose()
        } else {
            wx.showToast({ title: `${arr.errmsg}`, icon: 'fail', duration: 2000 });
        }
    },
    // 关闭弹框
    toClose: function () {
        const that = this;
        that.setData({ dialog: { title: '详细信息', show: false, type: '1' } })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        that.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: async function () {
        const that = this;
        let searchInfo = that.data.searchInfo;
        wx.getStorage({
            key: 'user',
            success: async res => {
                let info = { skip: 0, limit: 1000 };
                if (searchInfo.teammate_name) info.teammate_name = searchInfo.teammate_name;
                const match = await app.$get(`/newCourt/api/match`, { ...info });
                if (match.errcode == '0') {
                    const arr = await app.$get(`/newCourt/api/teamApply`, { ...info });
                    if (arr.errcode == '0') {
                        let test1 = []
                        for (const val of arr.data) {
                            let matchInfo = match.data.find((i) => i._id == val.match_id)
                            if (matchInfo) val.match_name = matchInfo.name;
                        }
                        for (const val of test1) {
                            console.log(val);
                        }
                        that.setData({ list: arr.data })
                    } else {
                        wx.showToast({ title: `${arr.errmsg}`, icon: 'fail', duration: 2000 });
                    }
                }


            },
            fail: res => {
                wx.redirectTo({ url: '/pages/index/index', })
            }
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})